Arduino

Guide

Tutorials

Reference

Hardware

Software

Forum

Playground

Exhibition

Hacking

FAQ

Buy

Language | Libraries | Comparison

## int serialAvailable()

#### Description

Get the number of bytes (characters) available for reading over the serial port.

### Parameters

None

#### Returns

the number of bytes available, or 0 if there aren't any

#### See also

- beginSerial
- serialRead
- serialWrite
- printByte
- printString
- printInteger
- printHex
- printOctal
- printBinary

Reference Home

Edit Page | Page History | Printable View | Recent Site Changes